@import '@styles/variables';

.navigation {
  flex-grow: 1;
}

.navList {
  display: inline-flex;
  flex-direction: column;
  row-gap: 19px;

  @include custom-min-width($md) {
    flex-direction: row;
    column-gap: 25px;
    justify-content: space-between;
  }
}

.navItem {
  display: flex;
  flex-direction: column;
  row-gap: 16px;

  &:last-child {
    .navSubList {
      display: flex;
      flex-direction: row;
      column-gap: 32px;

      @include custom-min-width($md) {
        column-gap: 24px;
      }
    }
  }
}

.navTitle {
  font-weight: 500;
  text-transform: uppercase;
  display: flex;
  align-items: center;
  column-gap: 16px;

  @include custom-min-width($md) {
    pointer-events: none;
  }
}

.navSubList {
  display: none;
  flex-direction: column;
  row-gap: 8px;

  @include custom-min-width($md) {
    display: flex;
  }

  &.show {
    display: flex;
  }
}

.navLink {
  font-size: 12px;
  font-weight: 400;
  text-transform: capitalize;
}

.angle {
  @include custom-min-width($md) {
    display: none;
  }
}
